## libosmocore 1.9.0

=== debian/changelog ===
libosmocore (1.9.0) unstable; urgency=medium

  [ Oliver Smith ]
  * gsm0808_dec_channel_type: add missing len check
  * test_gsm0808_enc_dec_channel_type -> …_speech
  * gsm0808_chan_indicator: add SPEECH_CTM_TEXT_TELEPHONY
  * gsm0808_enc/dec_channel_type: support data
  * Fix typo endianess -> endianness
  * Run struct_endianness.py
  * gsm0808_dec_channel_type: fix dec of ch_rate_type
  * tests: add test_gsm0808_enc_dec_channel_type_sign
  * gsm0808_enc/dec_channel_type: fix transparent flag
  * libosmocore.map: add tall_{ctr/msgb}_ctx
  * rsl: put values for Channel Mode into enums
  * rsl: RSL_CMOD_CSD_T: make enum values consistent
  * gsm0808: make CSD enum values consistent with RSL
  * on_dso_load_select: run after on_dso_load_ctx
  * debian: set compat level to 10
  * debian: depend on liburing-dev for debian >= 11
  * contrib/libosmocore.spec: centos7: disable uring
  * debian: fix build on ubuntu 20.04 without liburing

  [ Neels Hofmeyr ]
  * add contrib/talloc_count.sh
  * add osmo_prim_operation_name()
  * add gsm0808_amr_modes_from_cfg
  * improve test output for gsm0808_sc_cfg_from_gsm48_mr_cfg()
  * fix 'make vty-test' for --disable-gb
  * fix 'make vty-test' for --disable-external-tests --enable-gb
  * contrib/talloc_count.sh: improve hexadecimal masking
  * error log: osmo_sock_init2_multiaddr() v4/v6 mix
  * logging vty: probe 'print' and 'logging timestamp' cmds
  * vty: show bug in implicit go_parent_node
  * vty: fix vty->index for implicit go_parent_node
  * vty: move struct vty_parent_node to private API
  * gsm: add osmo_mobile_identity_decode_from_l3_buf()
  * gsm_04_08_gprs: add IEI "GMM TMSI Based NRI Container"
  * improve API for osmo_routing_area_id

  [ Max ]
  * socket: propagate error in osmo_sock_unix_init() to the caller
  * GSMTAP: fix typo
  * GSMTAP: add gsmtap_source_init*2()
  * GSMTAP: add missing parameter docstrings
  * logging: print talloc report on exit from vty test

  [ Philipp Maier ]
  * i460_mux.c fix apidoc
  * i460_mux: make osmo_i460_subchan_count public
  * gsmtap_util: remove whitespace at the end of line
  * i460_mux: add define constant for maximum number of subchannels
  * codec: add define constants for RFC5993 and TS101318
  * gprs_bssgp_rim: also print NSEI when sending RIM messages
  * gprs_bssgp_rim: allow sending of encoded RIM messages
  * gprs_bssgp_rim: add decoder for RIM ROUTING ADDRESS

  [ Vadim Yanitskiy ]
  * gsm: fix invalid check in gsm48_decode_ssversion()
  * gsm: add missing features to osmo_bts_features_names[]
  * gsm: ensure completeness of osmo_bts_features_{descs,names}[]
  * gsm/{bsslap,bssmap_le}: zero-initialize structs using memset()
  * msgb: use OSMO_ASSERT in msgb_alloc_headroom[_c]()
  * gsm: use OSMO_ASSERT() in osmo_iuup_msgb_alloc_c()
  * debian/control: make libosmocore-doc depend on libosmo{ctrl,gb}-doc
  * debian/control: fix typo
  * doxygen: also generate documentation for libosmo{sim,usb}
  * contrib/struct_endianness.py: simplify file extension check
  * doxygen: remove documentation for non-existent params
  * doxygen: fix various typos in commands \param and \returns
  * gsm0502: add burst length definitions from chapter 5.2
  * coding: clean up Makefile.am
  * utils/Makefile.am: remove duplicate libosmogsm.la
  * utils/Makefile.am: do not overwrite AM_CFLAGS
  * utils/osmo-stat-dummy/Makefile.am: drop empty variables
  * gsmtap: add missing entries to gsmtap_type_names[]
  * tests/v110: assert(user_data_chunk_bits) in test_ra1()
  * isdn: fix identical operands in v110_adapt_IR8000_to_2400()
  * gsm_04_08: document/clarify enum gsm48_chan_mode values
  * gsm_04_08: add more enum gsm48_chan_mode speech values
  * gsm_04_08: add more enum gsm48_chan_mode data values
  * gsm0808: handle new enum gsm48_chan_mode speech/data values
  * tests: make VTY tests depend on the respective binaries
  * fixup (partial revert): "coding: clean up Makefile.am"
  * core: remove unnecessary #include <osmocom/core/talloc.h>
  * libosmocore.map: add missing symbols needed for osmo-qcdiag
  * coding: fix doxygen doc for _xcch_encode_cB()
  * copyright: fix typo: sysmocom s/s.m.f.c./s.f.m.c./ GmbH
  * coding: use GSM_MACBLOCK_LEN gsm0503_tch_fr_decode()
  * coding: gsm0503_tch_f96_[de]interleave() not applicable to TCH/F2.4
  * coding: declare gsm0503_tch_f96_[de]interleave()
  * coding: fix API doc: TCH/H needs 6 bursts, not 8
  * coding: fix API doc: TCH/AFS vs TCH/AHS
  * coding: use gsm0503_tch_hr_decode2() in coding_test
  * gsm: fix convolutional code definition for TCH/F4.8
  * coding: implement TCH/F9.6, TCH/[FH]4.8, TCH/H2.4, TCH/F14.4
  * coding: implement dedicated codec API for FACCH/[FH]
  * coding: test FACCH/[FH] bitstealing in test_csd()
  * coding: fix _tch_csd_burst_map(): do not overwrite FACCH
  * struct osmo_sub_auth_data: remove OSMO_DEPRECATED_OUTSIDE
  * coding: fix a copy-paste bug in gsm0503_tch_afs_decode_dtx()
  * gsm: add gsm0502_fn2ccch_block()
  * gsm0502: cosmetic: use ARRAY_SIZE in gsm0502_fn2ccch_block()
  * ipa: fix a typo in ipa_ccm_rcvmsg_base(): PING -> PONG
  * core: fix pointer access in msgb_l[1-4] macros
  * coding: remove redundant memset()s in gsm0503_tch_fr{96,144}_encode()
  * coding: implement encoding/decoding API for TCH/F2.4
  * lapdm: cosmetic: simplify lapdm_phsap_up(), use OSMO_PRIM[_HDR]
  * gsm_08_08: define GSM0808_SCT_EXT (separately)
  * gsm48_ie: fix gsm48_encode_bearer_cap(): encode bcap->data.transp
  * isdn: mux_timeslot_provide_bits(): remove unused 'count'
  * .gitignore: add include/osmocom/core/socket_compat.h
  * tests/{v110,gsm44021}: change naming: 'test_' -> '_test'
  * gsm_12_21.h: add flags for NM_ATT_IPACC_SUPP_FEATURES
  * gsm_12_21.h: fix typo: NM_IPAC_F_CHANT_P{C->D}CHF

  [ Pau Espin Pedrol ]
  * gsm_04_60.h: Better describe origin of enum osmo_gprs_nmo
  * Move libosmogsm TS 44.060 declarations under include/osmocom/gsm/
  * libosmogb.pc.in: Fix missing dependency on libosmogsm
  * gsm: gsm_gsmtime2fn(): constify param

