## libosmocore 1.9.0.105.ca54.202312152026

=== debian/changelog ===
libosmocore (1.9.0.105.ca54.202312152026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 15 Dec 2023 20:26:29 +0000
