=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Maintainer: Osmocom team <openbsc@lists.osmocom.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 9),
+# liburing-dev: don't try to install it on debian 10 and ubuntu 20.04
+Build-Depends: debhelper (>= 10),
                autotools-dev,
                autoconf,
                automake,
@@ -19,6 +20,7 @@
                libusb-1.0-0-dev,
                libmnl-dev,
                libsystemd-dev,
+               liburing-dev | base-files (<< 11) | ubuntu-keyring (<< 2021),
                python3:native
 Standards-Version: 3.9.8
 Vcs-Git: https://gitea.osmocom.org/osmocom/libosmocore
@@ -29,13 +31,13 @@
 Section: libs
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-latest, libosmocodec0 (= ${binary:Version}),
+Depends: osmocom-nightly (= 202312152026), libosmocodec4 (= ${binary:Version}),
          libosmocoding0 (= ${binary:Version}),
-         libosmocore20 (= ${binary:Version}),
+         libosmocore21 (= ${binary:Version}),
          libosmogb14 (= ${binary:Version}),
-         libosmogsm18 (= ${binary:Version}),
+         libosmogsm20 (= ${binary:Version}),
          libosmoisdn0 (= ${binary:Version}),
-         libosmovty9 (= ${binary:Version}),
+         libosmovty13 (= ${binary:Version}),
          libosmoctrl0 (= ${binary:Version}),
          libosmosim2 (= ${binary:Version}),
          libosmousb0 (= ${binary:Version}),
@@ -47,11 +49,11 @@
  least) other programs that are developed in the sphere of Free Software / Open
  Source mobile communication.
 
-Package: libosmocodec0
-Section: libs
-Architecture: any
-Multi-Arch: same
-Depends: osmocom-latest, ${shlibs:Depends},
+Package: libosmocodec4
+Section: libs
+Architecture: any
+Multi-Arch: same
+Depends: osmocom-nightly (= 202312152026), ${shlibs:Depends},
          ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Osmo codec library
@@ -72,8 +74,8 @@
 Package: libosmocodec-doc
 Architecture: all
 Section: doc
-Depends: osmocom-latest, ${misc:Depends},
-         libosmocodec0,
+Depends: osmocom-nightly (= 202312152026), ${misc:Depends},
+         libosmocodec4,
          libjs-jquery
 Description: Documentation for the osmo codec library
  This is part of the libosmocore "meta"-library. The libosmocore library
@@ -88,7 +90,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-latest, ${shlibs:Depends},
+Depends: osmocom-nightly (= 202312152026), ${shlibs:Depends},
          ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Osmo coding library
@@ -104,7 +106,7 @@
 Package: libosmocoding-doc
 Architecture: all
 Section: doc
-Depends: osmocom-latest, ${misc:Depends},
+Depends: osmocom-nightly (= 202312152026), ${misc:Depends},
          libosmocoding0,
          libjs-jquery
 Description: Documentation for the osmo coding library
@@ -116,11 +118,11 @@
  .
  This package contains the documentation for the libosmocoding library.
 
-Package: libosmocore20
-Section: libs
-Architecture: any
-Multi-Arch: same
-Depends: osmocom-latest, ${shlibs:Depends},
+Package: libosmocore21
+Section: libs
+Architecture: any
+Multi-Arch: same
+Depends: osmocom-nightly (= 202312152026), ${shlibs:Depends},
          ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Osmo Core library
@@ -136,14 +138,18 @@
 Package: libosmocore-doc
 Architecture: all
 Section: doc
-Depends: osmocom-latest, ${misc:Depends},
-         libosmocore20,
+Depends: osmocom-nightly (= 202312152026), ${misc:Depends},
+         libosmocore21,
          libjs-jquery,
          libosmocodec-doc,
          libosmocoding-doc,
          libosmogsm-doc,
          libosmoisdn-doc,
-         libosmovty-doc
+         libosmovty-doc,
+         libosmoctrl-doc,
+         libosmogb-doc,
+         libosmosim-doc,
+         libosmousb-doc
 Description: Documentation for the Osmo Core library
  This is part of the libosmocore "meta"-library. The libosmocore library
  contains various utility functions that were originally developed as part of
@@ -157,7 +163,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-latest, ${shlibs:Depends},
+Depends: osmocom-nightly (= 202312152026), ${shlibs:Depends},
          ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Osmo GPRS GB library
@@ -173,7 +179,7 @@
 Package: libosmogb-doc
 Architecture: all
 Section: doc
-Depends: osmocom-latest, ${misc:Depends},
+Depends: osmocom-nightly (= 202312152026), ${misc:Depends},
          libosmogb14,
          libjs-jquery
 Description: Documentation for the Osmo GPRS Gb library
@@ -185,11 +191,11 @@
  .
  This package contains the documentation for the libosmogb library.
 
-Package: libosmogsm18
-Section: libs
-Architecture: any
-Multi-Arch: same
-Depends: osmocom-latest, ${shlibs:Depends},
+Package: libosmogsm20
+Section: libs
+Architecture: any
+Multi-Arch: same
+Depends: osmocom-nightly (= 202312152026), ${shlibs:Depends},
          ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Osmo GSM utility library
@@ -208,8 +214,8 @@
 Package: libosmogsm-doc
 Architecture: all
 Section: doc
-Depends: osmocom-latest, ${misc:Depends},
-         libosmogsm18,
+Depends: osmocom-nightly (= 202312152026), ${misc:Depends},
+         libosmogsm20,
          libjs-jquery
 Description: Documentation for the Osmo GSM utility library
  This is part of the libosmocore "meta"-library. The libosmocore library
@@ -224,7 +230,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-latest, ${shlibs:Depends},
+Depends: osmocom-nightly (= 202312152026), ${shlibs:Depends},
          ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Osmo ISDN utility library
@@ -241,7 +247,7 @@
 Package: libosmoisdn-doc
 Architecture: all
 Section: doc
-Depends: osmocom-latest, ${misc:Depends},
+Depends: osmocom-nightly (= 202312152026), ${misc:Depends},
          libosmoisdn0,
          libjs-jquery
 Description: Documentation for the Osmo ISDN utility library
@@ -251,13 +257,13 @@
  (at least) other programs that are developed in the sphere of Free Software /
  Open Source mobile communication.
  .
- This package contains the documentation for the libosmoisdnm library.
-
-Package: libosmovty9
-Section: libs
-Architecture: any
-Multi-Arch: same
-Depends: osmocom-latest, ${shlibs:Depends},
+ This package contains the documentation for the libosmoisdn library.
+
+Package: libosmovty13
+Section: libs
+Architecture: any
+Multi-Arch: same
+Depends: osmocom-nightly (= 202312152026), ${shlibs:Depends},
          ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Osmo VTY library
@@ -273,8 +279,8 @@
 Package: libosmovty-doc
 Architecture: all
 Section: doc
-Depends: osmocom-latest, ${misc:Depends},
-         libosmovty9,
+Depends: osmocom-nightly (= 202312152026), ${misc:Depends},
+         libosmovty13,
          libjs-jquery
 Description: Documentation for the Osmo VTY library
  This is part of the libosmocore "meta"-library. The libosmocore library
@@ -289,13 +295,3 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-latest, ${shlibs:Depends},
-         ${misc:Depends}
-Pre-Depends: ${misc:Pre-Depends}
-Description: Osmo control library
- This is part of the libosmocore "meta"-library. The libosmocore library
- contains various utility functions that were originally developed as part of
- the OpenBSC project, but which are of a more generic nature and thus useful to
- (at least) other programs that are developed in the sphere of Free Software /
- Open Source mobile communication.
- .
