## libosmocore 1.9.0.106.7f2b2.202312182026

=== debian/changelog ===
libosmocore (1.9.0.106.7f2b2.202312182026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 18 Dec 2023 20:26:27 +0000
