## libosmocore 1.9.0.107.1cfc.202312222026

=== debian/changelog ===
libosmocore (1.9.0.107.1cfc.202312222026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 22 Dec 2023 20:26:28 +0000
